//时间：20200610
//作者：郝爽
//功能：测量文件
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MeasureData
{
    public class MeasureFile
    {
        #region 内容
        //文件名
        private string m_fileName;

        public string FileName
        {
            get { return this.m_fileName; }
            set { this.m_fileName = value; }
        }

        //文件路径
        private string m_filepath;

        public string FilePath
        {
            get { return this.m_filepath; }
            set { this.m_filepath = value; }
        }

        //切孔链表
        private List<CutHole> m_listCutHole;

        public List<CutHole> ListCutHole
        {
            get { return this.m_listCutHole; }
            set { this.m_listCutHole = value; }
        }

        //XML文件保存
        #endregion

        //构造函数
        public MeasureFile()
        {
            Init();
        }

        public void Init()
        {
        }
        #region 操作

        //新建
        public void New()
        {
        }

        //打开
        public void Open()
        {
        }

        //保存
        public void Save()
        {
        }

        //另存为
        public void SaveAs()
        {
        }

        #endregion
    }
}
